## org.jfree.xml.parser.coretypes
Class ObjectRefHandler

    java.lang.Object
      org.jfree.xml.parser.AbstractXmlReadHandler
          org.jfree.xml.parser.coretypes.ObjectRefHandler

All Implemented Interfaces:
  XmlReadHandler

    public class ObjectRefHandler

extends AbstractXmlReadHandler

A SAX handler for an object reference.

Constructor Summary
`ObjectRefHandler()` Creates a new handler.

Method Summary
`java.lang.Object` `getObject()` Returns the value.
`java.lang.String` `getPropertyName()` Returns the property name.
`protected void` `startParsing(org.xml.sax.Attributes attrs)` Starts parsing.

Methods inherited from class org.jfree.xml.parser.AbstractXmlReadHandler
`characters, doneParsing, endElement, getHandlerForChild, getRootHandler, getTagName, init, startElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectRefHandler

    public ObjectRefHandler()

  Creates a new handler.

Method Detail

### startParsing

    protected void startParsing(org.xml.sax.Attributes attrs)
                         throws org.xml.sax.SAXException

  Starts parsing.

  Overrides:
    `startParsing` in class `AbstractXmlReadHandler`
  Parameters:
    `attrs` - the attributes.
  Throws:
    `org.xml.sax.SAXException` - ???.

### getPropertyName

    public java.lang.String getPropertyName()

  Returns the property name.

  Returns:
    the property name.

### getObject

    public java.lang.Object getObject()

  Returns the value.

  Returns:
    the value.